Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class DebugDataOutputStream

`java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
com.tangosol.io.DebugDataOutputStream`

All Implemented Interfaces:
  OutputStreaming, java.io.Closeable, java.io.DataOutput, java.io.Flushable

      public class DebugDataOutputStream

extends java.io.FilterOutputStream
implements java.io.DataOutput, OutputStreaming

This is an imitation DataOutputStream class that logs the output in a human-readable format for debugging purposes. All output will be

Author:
  cp 2004.08.06

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`DebugDataOutputStream(java.io.OutputStream stream)` Construct a DebugDataOutputStream that will output to the specified Stream object.

Method Summary
`void` | `close()` Closes this OutputStream and releases any associated system resources.
`void` | `flush()` Flushes this OutputStream and forces any buffered output bytes to be written.
`static void` | `main(java.lang.String[] asArg)` Command line test.
`protected void` | `println(java.lang.String s)` Print the passed String to the underlying stream.
`void` | `write(byte[] ab)` Writes all the bytes in the array `ab`.
`void` | `write(byte[] ab, int of, int cb)` Writes `cb` bytes starting at offset `of` from the array `ab`.
`void` | `write(int b)` Writes the eight low-order bits of the argument `b`.
`void` | `writeBoolean(boolean f)` Writes the boolean value `f`.
`void` | `writeByte(int b)` Writes the eight low-order bits of the argument `b`.
`void` | `writeBytes(java.lang.String s)` Writes the String `s`, but only the low-order byte from each character of the String is written.
`void` | `writeChar(int ch)` Writes a char value, comprised of the 16 low-order bits of the argument `ch`; the 16 high-order bits of `ch` are ignored.
`void` | `writeChars(java.lang.String s)` Writes the String `s` as a sequence of characters.
`void` | `writeDouble(double dfl)` Writes a double value.
`void` | `writeFloat(float fl)` Writes a float value.
`void` | `writeInt(int n)` Writes an int value.
`void` | `writeLong(long l)` Writes a long value.
`void` | `writeShort(int n)` Writes a short value, comprised of the 16 low-order bits of the argument `n`; the 16 high-order bits of `n` are ignored.
`void` | `writeUTF(java.lang.String s)` Writes the String `s` as a sequence of characters, but using UTF-8 encoding for the characters, and including the String length data so that the corresponding `DataInput.readUTF()` method can reconstitute a String from the written data.

Constructor Detail

### DebugDataOutputStream

    public DebugDataOutputStream(java.io.OutputStream stream)

  Construct a DebugDataOutputStream that will output to the specified Stream object.
  Parameters:
    `stream` - an OutputStream to write to

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
  Specified by:
    `write` in interface `OutputStreaming`
  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the byte to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### write

    public void write(byte[] ab)
               throws java.io.IOException

  Writes all the bytes in the array `ab`.
  Specified by:
    `write` in interface `OutputStreaming`
  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `ab` - the byte array to write
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `java.lang.NullPointerException` - if `ab` is `null`

### write

    public void write(byte[] ab,
                      int of,
                      int cb)
               throws java.io.IOException

  Writes `cb` bytes starting at offset `of` from the array `ab`.
  Specified by:
    `write` in interface `OutputStreaming`
  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `ab` - the byte array to write from
    `of` - the offset into `ab` to start writing from
    `cb` - the number of bytes from `ab` to write
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `java.lang.NullPointerException` - if `ab` is `null`
    `java.lang.IndexOutOfBoundsException` - if `of` is negative, or `cb` is negative, or `of+cb` is greater than `ab.length`

### writeBoolean

    public void writeBoolean(boolean f)
                      throws java.io.IOException

  Writes the boolean value `f`.
  Specified by:
    `writeBoolean` in interface `java.io.DataOutput`
  Parameters:
    `f` - the boolean to be written
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeByte

    public void writeByte(int b)
                   throws java.io.IOException

  Writes the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
  Specified by:
    `writeByte` in interface `java.io.DataOutput`
  Parameters:
    `b` - the byte to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeShort

    public void writeShort(int n)
                    throws java.io.IOException

  Writes a short value, comprised of the 16 low-order bits of the argument `n`; the 16 high-order bits of `n` are ignored.
  Specified by:
    `writeShort` in interface `java.io.DataOutput`
  Parameters:
    `n` - the short to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeChar

    public void writeChar(int ch)
                   throws java.io.IOException

  Writes a char value, comprised of the 16 low-order bits of the argument `ch`; the 16 high-order bits of `ch` are ignored.
  Specified by:
    `writeChar` in interface `java.io.DataOutput`
  Parameters:
    `ch` - the char to write (passed as an integer)
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeInt

    public void writeInt(int n)
                  throws java.io.IOException

  Writes an int value.
  Specified by:
    `writeInt` in interface `java.io.DataOutput`
  Parameters:
    `n` - the int to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeLong

    public void writeLong(long l)
                   throws java.io.IOException

  Writes a long value.
  Specified by:
    `writeLong` in interface `java.io.DataOutput`
  Parameters:
    `l` - the long to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeFloat

    public void writeFloat(float fl)
                    throws java.io.IOException

  Writes a float value.
  Specified by:
    `writeFloat` in interface `java.io.DataOutput`
  Parameters:
    `fl` - the float to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeDouble

    public void writeDouble(double dfl)
                     throws java.io.IOException

  Writes a double value.
  Specified by:
    `writeDouble` in interface `java.io.DataOutput`
  Parameters:
    `dfl` - the double to write
  Throws:
    `java.io.IOException` - if an I/O error occurs

### writeBytes

    public void writeBytes(java.lang.String s)
                    throws java.io.IOException

  Writes the String `s`, but only the low-order byte from each character of the String is written.
  Specified by:
    `writeBytes` in interface `java.io.DataOutput`
  Parameters:
    `s` - the String to write
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `java.lang.NullPointerException` - if `s` is `null`

### writeChars

    public void writeChars(java.lang.String s)
                    throws java.io.IOException

  Writes the String `s` as a sequence of characters.
  Specified by:
    `writeChars` in interface `java.io.DataOutput`
  Parameters:
    `s` - the String to write
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `java.lang.NullPointerException` - if `s` is `null`

### writeUTF

    public void writeUTF(java.lang.String s)
                  throws java.io.IOException

  Writes the String `s` as a sequence of characters, but using UTF-8 encoding for the characters, and including the String length data so that the corresponding `DataInput.readUTF()` method can reconstitute a String from the written data.
  Specified by:
    `writeUTF` in interface `java.io.DataOutput`
  Parameters:
    `s` - the String to write
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `java.lang.NullPointerException` - if `s` is `null`

### flush

    public void flush()
               throws java.io.IOException

  Flushes this OutputStream and forces any buffered output bytes to be written.
  Specified by:
    `flush` in interface `OutputStreaming`
  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs

### close

    public void close()
               throws java.io.IOException

  Closes this OutputStream and releases any associated system resources.
  Specified by:
    `close` in interface `OutputStreaming`
  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs

### println

    protected void println(java.lang.String s)
                    throws java.io.IOException

  Print the passed String to the underlying stream.
  Parameters:
    `s` - the String to print
  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] asArg)
                     throws java.lang.Exception

  Command line test.
  Throws:
    `java.lang.Exception`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.